Patchwork [meta-oe,11/12] webkit-efl: add dependency on gstreamer

login
register
mail settings
Submitter Martin Jansa
Date Aug. 9, 2013, 8:54 a.m.
Message ID <1376038471-32202-11-git-send-email-Martin.Jansa@gmail.com>
Download mbox | patch
Permalink /patch/55411/
State Accepted
Commit f4fa7239f3dcd7f0567a2c08fcb5a5f9de4ed455
Headers show

Comments

Martin Jansa - Aug. 9, 2013, 8:54 a.m.
* fails without it:
  | -- checking for module 'gstreamer-0.10'
  | --   package 'gstreamer-0.10' not found
  | -- checking for module 'gstreamer-base-0.10'
  | --   package 'gstreamer-base-0.10' not found
  | -- checking for module 'gstreamer-app-0.10'
  | --   package 'gstreamer-app-0.10' not found
  | -- checking for module 'gstreamer-audio-0.10'
  | --   package 'gstreamer-audio-0.10' not found
  | -- checking for module 'gstreamer-fft-0.10'
  | --   package 'gstreamer-fft-0.10' not found
  | -- checking for module 'gstreamer-interfaces-0.10'
  | --   package 'gstreamer-interfaces-0.10' not found
  | -- checking for module 'gstreamer-pbutils-0.10'
  | --   package 'gstreamer-pbutils-0.10' not found
  | -- checking for module 'gstreamer-video-0.10'
  | --   package 'gstreamer-video-0.10' not found
  | CMake Error at cmake-2.8/Modules/FindPackageHandleStandardArgs.cmake:108 (message):
  |   Could NOT find GStreamer (missing: GSTREAMER_INCLUDE_DIRS

Signed-off-by: Martin Jansa <Martin.Jansa@gmail.com>
---
 meta-efl/recipes-efl/webkit/webkit-efl_svn.bb | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

Patch

diff --git a/meta-efl/recipes-efl/webkit/webkit-efl_svn.bb b/meta-efl/recipes-efl/webkit/webkit-efl_svn.bb
index cf6fba7..2a047b8 100644
--- a/meta-efl/recipes-efl/webkit/webkit-efl_svn.bb
+++ b/meta-efl/recipes-efl/webkit/webkit-efl_svn.bb
@@ -7,7 +7,7 @@  LIC_FILES_CHKSUM = "file://Source/WebKit/LICENSE;md5=4646f90082c40bcf298c285f8ba
 
 DEPENDS = "icu libxslt sqlite3 gperf-native bison-native flex-native jpeg \
            libpng libxt fontconfig cairo freetype glib-2.0 libsoup-2.4 \
-           libxml2 pango eina ecore evas edje edbus"
+           libxml2 pango eina ecore evas edje edbus gstreamer"
 
 # 120145 and 122103 introduces dependency on libsoup-2.39.3 and glib-networking-2.33.2
 SRCREV = "120144"